Skip to main content
GET
/
trusted_destinations
List trusted destinations
curl --request GET \
  --url https://api.anchorage-staging.com/v2/trusted_destinations \
  --header 'Api-Access-Key: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "type": "<string>",
      "crypto": {
        "address": "2N19AcihQ1a4MxQW658UFHTioUNnMkiHPkw",
        "assetType": "BTC",
        "isNetworkLevel": true,
        "networkId": "BTC",
        "memo": "<string>"
      },
      "description": "<string>",
      "fiat": {
        "beneficiary": {
          "account": "*****1234",
          "address": "123 Main Street",
          "city": "Beverly Hills",
          "country": "US",
          "name": "Satoshi Nakamoto",
          "state": "CA",
          "type": "INDIVIDUAL",
          "zipCode": "90210"
        },
        "beneficiaryBank": {
          "address": "240 Greenwich Street",
          "city": "New York",
          "code": "BIC",
          "country": "US",
          "id": "IRVTUS3N",
          "name": "The Bank of New York Mellon",
          "state": "NY",
          "zipCode": "10286"
        },
        "usage": "MY_ORGANIZATION",
        "intermediaryBank": {
          "address": "240 Greenwich Street",
          "city": "New York",
          "code": "BIC",
          "country": "US",
          "id": "IRVTUS3N",
          "name": "The Bank of New York Mellon",
          "state": "NY",
          "zipCode": "10286"
        },
        "memo": "Quarterly dividend"
      },
      "name": "<string>",
      "owner": {
        "id": "<string>",
        "type": "CUSTOMER"
      }
    }
  ],
  "page": {
    "next": "<next page url>"
  }
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Query Parameters

afterId
string

When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)

limit
integer<int64>
default:25

Maximum number of results to return per query

Required range: 1 <= x <= 100
ownerType
enum<string>

The type of the owner (currently only CUSTOMER is supported)

Available options:
CUSTOMER
ownerId
string

The ID of the owner (for CUSTOMER type, this is the customerId)

assetTypeId
string

Asset type identifier. This will return Trusted Destinations with a matching assetTypeId, as well as Trusted Destinations with a matching networkId if network level is true.

Response

List of trusted destinations

data
object[]
required
page
Page · object
required

Pagination info